Status

()

P3
normal
2 years ago
9 months ago

People

(Reporter: tjr, Unassigned)

Tracking

Trunk
Points:
---

Firefox Tracking Flags

(firefox54 affected)

Details

(Whiteboard: [third-party-lib-audit])

(Reporter)

Description

2 years ago
This is a (semi-)automated bug making you aware that there is an available upgrade for an embedded third-party library.

libffi is currently at version 3.1 in mozilla-central, and the latest version of the library released is 3.2.1

I fetched the latest version of the library from https://sourceware.org/libffi/ .

You can leave this bug open, and it will be updated if a newer version of the library becomes available. If you close it as WONTFIX, please indicate if you do not wish to receive any future bugs upon new releases of the library.
FWIW, the last time I look at updating libffi, it was broken on a number of platforms we care about (upstream issues were then filed). And since then, we've completely rewritten our libffi build system integration. In other words, updating this is likely to be highly non-trivial.
(Reporter)

Updated

2 years ago
No longer blocks: 1325608
(Reporter)

Updated

a year ago
Whiteboard: [third-party-lib-audit]
Priority: -- → P3
You need to log in before you can comment on or make changes to this bug.